@echo off

set BEELINE_HOME=%~dp0..

rem Find jars.
if exist "%BEELINE_HOME%\lib" (
  set BEELINE_JARS_DIR="%BEELINE_HOME%\lib"
)

if not exist "%BEELINE_JARS_DIR%"\ (
  echo Failed to find Beeline lib directory.
  echo You need to assign the Beeline lib before running this program.
  exit /b 1
)

set LAUNCH_CLASSPATH=%BEELINE_JARS_DIR%\*
set CLASS="com.huawei.dli.beeline.BeeLine"
set LAUNCH_CLASS=com.huawei.dli.beeline.launcher.Main

rem Figure out where java is.
set RUNNER=java
if not "x%JAVA_HOME%"=="x" (
  set RUNNER=%JAVA_HOME%\bin\java
) else (
  where /q "%RUNNER%"
  if ERRORLEVEL 1 (
    echo Java not found and JAVA_HOME environment variable is not set.
    echo Install Java and set JAVA_HOME to point to the Java installation directory.
    exit /b 1
  )
)

rem The launcher library prints the command to be executed in a single line suitable for being
rem executed by the batch interpreter. So read all the output of the launcher into a variable.
set LAUNCHER_OUTPUT=%temp%\beeline-launcher-output-%RANDOM%.txt
"%RUNNER%" -Xmx128m -cp "%LAUNCH_CLASSPATH%" %LAUNCH_CLASS% %CLASS% %* > %LAUNCHER_OUTPUT%
for /f "tokens=*" %%i in (%LAUNCHER_OUTPUT%) do (
  set BEELINE_CMD=%%i
)
del %LAUNCHER_OUTPUT%
%BEELINE_CMD%
